package geo;
public class Circle extends GeoObject {
	private double x;
	private double y;
	private double radius;
	
	public Circle(double x, double y, double radius) {
		this.x = x;
		this.y = y;
		this.radius = radius;
	}

	@Override
	public void display() {
		presentation.drawCircle(x, y, radius);
	}

	@Override
	public void scale(double factor) {
		radius *= factor;
	}

	@Override
	public void shift(double dx, double dy) {
		x += dx;
		y += dy;
	}

}
