package chemical;

public class ChemicalImpl implements Chemical {
	private int anzahl;
	private Element element;
	
	public ChemicalImpl(int anzahl, Element element) {
		this.anzahl = anzahl;
		this.element = element;
	}

	@Override
	public String getName() {
		if (anzahl==1) {
			return element.toString();
		} else {
			return element.toString()+anzahl;
		}
	}

	@Override
	public int getLadung() {
		return anzahl*element.getLadung();
	}

	@Override
	public double getGewicht() {
		return anzahl*element.getGewicht();
	}

	@Override
	public void add(String name, int anzahl) {
		throw new RuntimeException("not implemented");
	}
}
