package chemical;

public enum Element {
	H(1, 1.008),
	C(6, 12.0),
	N(7, 14.003),
	O(8, 15.995);
	
	private int ladung;
	private double gewicht;
	private Element(int ladung, double gewicht) {
		this.ladung = ladung;
		this.gewicht = gewicht;
	}
	public int getLadung() {
		return ladung;
	}
	public double getGewicht() {
		return gewicht;
	}
}
