package glyph;

import java.util.*;

public class GlyphFactory {
	private Map<Character,Glyph> charmap = new HashMap<Character,Glyph>();
	
	int size() {
		return charmap.size();
	}
	
	public Glyph getGlyph(char c) {
		Glyph g = charmap.get(c);
		if (g==null) {
			g = new Glyph(c);
			charmap.put(c, g);
		}
		return g;
	}
}
