package geo;


public abstract class GeoObject {
	protected Presentation presentation;
	
	public Presentation getPresentation() {
		return presentation;
	}
	public void setPresentation(Presentation presentation) {
		this.presentation = presentation;
	}
	
	public abstract void display();
	public abstract void scale(double factor);
	public abstract void shift(double dx, double dy);
}
