package text;

import java.util.*;

public class FileContentProxy implements Content {
	private String filename;
	private static Map<String, FileContent> files = new HashMap<String, FileContent>();
	
	public FileContentProxy(String filename) {
		this.filename = filename;
	}

	@Override
	public String getContent() {
		FileContent content = files.get(filename);
		if (content==null) {
			content = new FileContent(filename);
			files.put(filename, content);
		}
		return content.getContent();
	}

}
